//+------------------------------------------------------------------+
//|                                                super-signals.mq4 |
//|                Copyright  2006, Nick Bilak, beluck[AT]gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Nick Bilak"
#property link      "http://www.forex-tsd.com/"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Aqua

extern int dist=10;
extern int cbars=100;

double b1[];
double b2[];

int init()  {
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,108);
   SetIndexArrow(0,108);
   SetIndexBuffer(0,b1);
   SetIndexBuffer(1,b2);
   SetIndexEmptyValue(1,0);
   SetIndexEmptyValue(0,0);
   
   return(0);
}

int last = 0;
int start() {
   if(last == Bars ) return (0);
   last = Bars;
   int k,i,j,limit,hhb,llb;
   limit=cbars;
   if(limit==0 || limit>Bars) limit = Bars;
   ArrayInitialize(b1,0);
   ArrayInitialize(b2,0);

   int h = 0,l = 0;
   for (;h<limit || l<limit;)   {
      hhb = Highest(NULL,0,MODE_HIGH,dist,h);
      if(h!=hhb || hhb == limit-1){
         b1[hhb]=High[hhb];
         h = hhb+1;
         }
      else
         h++;
      llb = Lowest(NULL,0,MODE_LOW,dist,l);
      if(l!=llb || llb == limit-1){ 
         b2[llb]=Low[llb];
         l = llb+1;
         }
      else 
         l++;
      }
   return(0);
}


